Index: cpukit/ChangeLog
===================================================================
--- cpukit/ChangeLog	(revision 7a5a885e94dc115672e04e8cade00569f606562b)
+++ cpukit/ChangeLog	(revision 2af90ff1a189d4ff80a06d8a547d0e87de7f4033)
@@ -1,2 +1,10 @@
+2011-02-11	Joel Sherrill <joel.sherrilL@OARcorp.com>
+
+	* rtems/src/semtranslatereturncode.c,
+	score/include/rtems/score/coremutex.h,
+	score/src/coremutexsurrender.c,
+	score/src/objectinitializeinformation.c: Disable code not reachable
+	when POSIX is not enabled.
+
 2011-02-11	Joel Sherrill <joel.sherrilL@OARcorp.com>
 
Index: cpukit/rtems/src/semtranslatereturncode.c
===================================================================
--- cpukit/rtems/src/semtranslatereturncode.c	(revision 7a5a885e94dc115672e04e8cade00569f606562b)
+++ cpukit/rtems/src/semtranslatereturncode.c	(revision 2af90ff1a189d4ff80a06d8a547d0e87de7f4033)
@@ -65,9 +65,11 @@
   RTEMS_SUCCESSFUL,         /* CORE_MUTEX_STATUS_SUCCESSFUL */
   RTEMS_UNSATISFIED,        /* CORE_MUTEX_STATUS_UNSATISFIED_NOWAIT */
+#if !defined(RTEMS_POSIX_API)
   RTEMS_UNSATISFIED,        /* CORE_MUTEX_STATUS_NESTING_NOT_ALLOWED */
+#endif
   RTEMS_NOT_OWNER_OF_RESOURCE, /* CORE_MUTEX_STATUS_NOT_OWNER_OF_RESOURCE */
   RTEMS_OBJECT_WAS_DELETED, /* CORE_MUTEX_WAS_DELETED */
   RTEMS_TIMEOUT,            /* CORE_MUTEX_TIMEOUT */
-#ifdef __RTEMS_STRICT_ORDER_MUTEX__
+#if !defined(__RTEMS_STRICT_ORDER_MUTEX__)
     CORE_MUTEX_RELEASE_NOT_ORDER,
 #endif
Index: cpukit/score/include/rtems/score/coremutex.h
===================================================================
--- cpukit/score/include/rtems/score/coremutex.h	(revision 7a5a885e94dc115672e04e8cade00569f606562b)
+++ cpukit/score/include/rtems/score/coremutex.h	(revision 2af90ff1a189d4ff80a06d8a547d0e87de7f4033)
@@ -86,8 +86,10 @@
    */
   CORE_MUTEX_STATUS_UNSATISFIED_NOWAIT,
+#if !defined(RTEMS_POSIX_API)
   /** This status indicates that an attempt was made to relock a mutex
    *  for which nesting is not configured.
    */
   CORE_MUTEX_STATUS_NESTING_NOT_ALLOWED,
+#endif
   /** This status indicates that an attempt was made to release a mutex
    *  by a thread other than the thread which locked it.
@@ -104,5 +106,5 @@
   CORE_MUTEX_TIMEOUT,
 
-#ifdef __RTEMS_STRICT_ORDER_MUTEX__
+#if !defined(__RTEMS_STRICT_ORDER_MUTEX__)
   /** This status indicates that a thread not release the mutex which has
    *  the priority inheritance property in a right order.
Index: cpukit/score/src/coremutexsurrender.c
===================================================================
--- cpukit/score/src/coremutexsurrender.c	(revision 7a5a885e94dc115672e04e8cade00569f606562b)
+++ cpukit/score/src/coremutexsurrender.c	(revision 2af90ff1a189d4ff80a06d8a547d0e87de7f4033)
@@ -138,7 +138,9 @@
         case CORE_MUTEX_NESTING_ACQUIRES:
           return CORE_MUTEX_STATUS_SUCCESSFUL;
-        case CORE_MUTEX_NESTING_IS_ERROR:
-          /* should never occur */
-          return CORE_MUTEX_STATUS_NESTING_NOT_ALLOWED;
+        #if !defined(RTEMS_POSIX_API)
+          case CORE_MUTEX_NESTING_IS_ERROR:
+            /* should never occur */
+            return CORE_MUTEX_STATUS_NESTING_NOT_ALLOWED;
+        #endif
         case CORE_MUTEX_NESTING_BLOCKS:
           /* Currently no API exercises this behavior. */
Index: cpukit/score/src/objectinitializeinformation.c
===================================================================
--- cpukit/score/src/objectinitializeinformation.c	(revision 7a5a885e94dc115672e04e8cade00569f606562b)
+++ cpukit/score/src/objectinitializeinformation.c	(revision 2af90ff1a189d4ff80a06d8a547d0e87de7f4033)
@@ -129,11 +129,16 @@
   /*
    *  Calculate the maximum name length
+   *
+   *  NOTE: Always 4 bytes long in Class so aligned.  It is POSIX name
+   *        lengths that may be an odd number of bytes.
    */
   name_length = maximum_name_length;
 
-  if ( name_length & (OBJECTS_NAME_ALIGNMENT-1) )
-    name_length = (name_length + OBJECTS_NAME_ALIGNMENT) &
-                  ~(OBJECTS_NAME_ALIGNMENT-1);
-
+  #if !defined(RTEMS_POSIX_API)
+    if ( name_length & (OBJECTS_NAME_ALIGNMENT-1) )
+      name_length = (name_length + OBJECTS_NAME_ALIGNMENT) &
+                    ~(OBJECTS_NAME_ALIGNMENT-1);
+  #endif
+ 
   information->name_length = name_length;
 
